Subject: Factoring the spec into digestible pieces (RE: Send protocol and CGA)

From: "Tuomas Aura" <[email-masked]>
Date: Sun, 9 Mar 2003 09:59:53 -0800

Pekka Savola wrote:
> Really, everything related to CGA must be thrown out of the 
> base spec, and placed in separate draft(s).  I thought this 
> was the design decision early on, has it changed or am I 
> misunderstanding something?

I also think that the IPSec extensions should be factored out
into a separate spec. Like CGA, they may have other uses 
beyond SEND. 

Let's keep this in small and digestible pieces, and make those 
pieces as universally usable as possible. Otherwise, we will 
have another giant spec that is impossible to check for 
completeness and consistency. (I'm sure Jari knows what 
particular prior example I'm thinking of.) 

Tuomas

--------------------------------------------------------------------
To unsubscribe from this list, send email with "UNSUBSCRIBE" in the
body to <[email-masked]>.
Archive: http://standards.ericsson.net/lists/ietf-send/maillist.html
--------------------------------------------------------------------

---

From: "James Kempf" <[email-masked]>
Date: Tue, 11 Mar 2003 11:22:05 -0800

The IPsec RSA transform is a candidate for sectioning off, but so far we have
not seen any interest from the IPsec group in this. I pinged Steve Bellovin on
it, as there was a draft in IPSEC WG earlier about such a transform (but
considerably sketchier than that in the SEND draft) and also Barbara Frasier.
Steve said he didn't think there was much interest and Barbara confirmed his
observation by not responding to my email. :-)

Removing it might slow down progress but I agree that having byte size chunks
helps (MIPv6 spec is too big). Let's talk about this at the WG meeting.

            jak